#!/bin/bash
set -e

pkg=$1
type=$2
if [ ${type} == "0" ]; then
    dpkg -i "$pkg"  > /tmp/pkg_install_status.log 2>&1
elif [ ${type} == "1" ]; then
    dpkg -P "$pkg" > /tmp/pkg_install_status.log 2>&1
else
	oldIFS=$IFS
    IFS=';'
    pkg_array=($pkg)
    IFS=$oldIFS

    for p in "${pkg_array[@]}"; do
        dpkg -i "$p" >> /tmp/pkg_install_status.log 2>&1
    done
fi
exit 0
